import csv, sqlite3#Import the module python uses to read and write CSV and sqlite3 files
conn = sqlite3.connect('ObamaGifts.sqlite')#every time conn is mentioned, connect to the sqlite3 database ObamaGifts.sqlite. If this database does not exist yet, it gets created.
cur = conn.cursor()#create a cursor, a temporary working space, in the database we connect to
cur.executescript('''
DROP TABLE IF EXISTS Gifts;

CREATE TABLE Gifts (
    ID  INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT UNIQUE,
    item    TEXT,
    donor	TEXT,
    value    INTEGER);
    ''')#we used the cursor to execute the following SQLite script. 
#We ignored the first line, since that was a comment (in SQLite marked by --), we created a table called gifts and we created an ID, item, and text column


#with open('full_list.csv', 'r') as csvfile:#since we don't need this bit of script here, we've just commented it for now.
#    giftreader = csv.reader(csvfile, dialect='excel')
    #for row in giftreader:
    #   print (row)
        
    