import csv, sqlite3
conn = sqlite3.connect('ObamaGifts.sqlite')
cur = conn.cursor()
cur.executescript('''
DROP TABLE IF EXISTS Gifts;

CREATE TABLE Gifts (
    ID  INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT UNIQUE,
    item    TEXT,
    donor	TEXT,
	value   INTEGER);
    ''')


with open('full_list.csv', 'r') as csvfile:
    giftreader = csv.reader(csvfile, dialect='excel')
    for row in giftreader:
       item = row[3]
       donor = row[2]
       value = row[4]
       cur.execute('''INSERT OR IGNORE INTO Gifts (item, donor, value) 
        VALUES ( ?, ?, ? )''', ( item, donor, value) )#here we will insert, using this SQL+Python format the contents of the item variable (item, )
    conn.commit()