import csv, sqlite3
conn = sqlite3.connect('ObamaGifts.sqlite')
cur = conn.cursor()

def selectCountry(country):#start defining a function we can call later that will take the country variable as input
    cur.execute("SELECT Gifts.item, Countries.name from Gifts JOIN Countries ON Gifts.country_ID = Countries.ID AND Countries.name = ?;", (country,))#tell the cursor to join two tables based on the overlap between country_id and ID, and also select where country name is the same as user input 
    rows = cur.fetchall()#fetch all the rows selected by the cursor
    for row in rows:
        print(row)
print("What country would you like to select:")
country = input()#ask users to provide input, stick that input into the country variable
selectCountry(country)#call the selectCountry function with the country based on input